BEEM - Android XMPP - Bug #148

Basculement ecran, recuperation donnee
05/29/2009 06:16 PM - Vincent Véronis

Status: Closed Start date: 05/29/2009
Priority: Low Due date:

Assignee: Jean-Manuel Da Silva % Done: 100%
Category: User Interface Estimated time: 1.00 hour
Target version: 0.1

Affected version: Locale:

Description

Pouvoir recuperer les donnees dans un basculement d'ecran.
(sans avoir a save manuellement les donnees)

Ecran settings
Peut etre pour les ecrans de chat instantanne

History

#1 - 05/29/2009 06:45 PM - Frédéric Barthéléry

- Assignee set to Jean-Manuel Da Silva

Il faut gerer les bons evenements, onDestroy et onCreate a finaliser si je me souviens bien. Par contre pour les tab j'espere que c'est pareil

#2 - 06/25/2009 12:30 PM - Jean-Manuel Da Silva

Je ne comprend pas cette activité, merci d'éclaicir ton propos Bart.
Un basculement d'écran = ?

#3 - 06/25/2009 02:18 PM - Frédéric Barthéléry
Jean-Manuel Da Silva wrote:
Je ne comprend pas cette activité, merci d'éclaicir ton propos Bart.

Un basculement d'écran = ?

Quand tu met le telephone a I'horizontal (en mode paysage quoi). Ca se fait en appuyant sur la touche 7 du numpad avec le numlock desactive. Dans
ce cas ton activite est detruite, puis recree pour s'afficher dans le nouveau mode. Sur pas mal d'activite, ca plantait I'application. Pour les settings, je
pense pas que ca plante mais les champs que tu auras modifie seront reinitialiser si tu ne les a pas sauvegarder avec le boutton save. Ca serait donc
bien de sauvegarder leur etat.

#4 - 10/28/2009 02:08 PM - Frédéric Barthéléry

- Status changed from New to Resolved

Resolu en utilisant les activite de settings style android

#5 - 10/28/2009 02:08 PM - Frédéric Barthéléry
- % Done changed from 0 to 100

#6 - 11/04/2009 05:23 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
